What people use it for
-
Handle and profile verification
-
Social graph snapshotting
-
Post search and discovery monitoring
-
Author feed and follower analytics
-
Post interaction extraction (likes/reposts/thread)
-
Trending-topic and feed discovery
Capabilities
Every capability is one POST /execute
call that returns structured JSON.
bluesky.actor.get_followers
List followers for a Bluesky actor.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"actor":"bsky.app","limit":20,"max_pages":2},"capability":"bluesky.actor.get_followers"}'
Input
|
Field
|
Type
|
Required
|
Description
|
actor
|
string
|
required
|
|
cursor
|
string
|
optional
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
bluesky.actor.get_follows
List actors followed by a Bluesky actor.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"actor":"bsky.app","limit":20,"max_pages":2},"capability":"bluesky.actor.get_follows"}'
Input
|
Field
|
Type
|
Required
|
Description
|
actor
|
string
|
required
|
|
cursor
|
string
|
optional
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
bluesky.actor.get_profile
Fetch profile metadata for a Bluesky actor.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"actor":"bsky.app"},"capability":"bluesky.actor.get_profile"}'
Input
|
Field
|
Type
|
Required
|
Description
|
actor
|
string
|
required
|
|
bluesky.actor.resolve_handle
Resolve a Bluesky handle to its DID.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"handle":"bsky.app"},"capability":"bluesky.actor.resolve_handle"}'
Input
|
Field
|
Type
|
Required
|
Description
|
handle
|
string
|
required
|
|
Search actors by keyword with cursor pagination.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"limit":10,"max_pages":2,"query":"bluesky"},"capability":"bluesky.actor.search"}'
Input
|
Field
|
Type
|
Required
|
Description
|
cursor
|
string
|
optional
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
query
|
string
|
required
|
|
bluesky.feed.get_author_feed
Fetch an author's public posts feed with cursor pagination.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"actor":"bsky.app","limit":10,"max_pages":2},"capability":"bluesky.feed.get_author_feed"}'
Input
|
Field
|
Type
|
Required
|
Description
|
actor
|
string
|
required
|
|
cursor
|
string
|
optional
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
Fetch posts from a specific feed URI with cursor pagination.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"feed":"at://did:plc:3h5kz5x2n4q2w3f5n6z5b7b7/app.bsky.feed.generator/science","limit":20,"max_pages":2},"capability":"bluesky.feed.get_feed"}'
Input
|
Field
|
Type
|
Required
|
Description
|
cursor
|
string
|
optional
|
|
feed
|
string
|
required
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
bluesky.feed.get_feed_generators
Discover popular feed sources used by the Bluesky app.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"limit":10,"max_pages":1},"capability":"bluesky.feed.get_feed_generators"}'
Input
|
Field
|
Type
|
Required
|
Description
|
cursor
|
string
|
optional
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
List users who liked a post with cursor pagination.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"limit":25,"max_pages":2,"uri":"at://did:plc:4zvfsavw2f4t6o3o3r6h4j6n/app.bsky.feed.post/3ltw5y5q3qv2g"},"capability":"bluesky.feed.get_likes"}'
Input
|
Field
|
Type
|
Required
|
Description
|
cursor
|
string
|
optional
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
uri
|
string
|
required
|
|
bluesky.feed.get_post_thread
Fetch a post thread with bounded nested replies depth.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"depth":25,"uri":"at://did:plc:4zvfsavw2f4t6o3o3r6h4j6n/app.bsky.feed.post/3ltw5y5q3qv2g"},"capability":"bluesky.feed.get_post_thread"}'
Input
|
Field
|
Type
|
Required
|
Description
|
depth
|
integer
|
optional
|
|
uri
|
string
|
required
|
|
bluesky.feed.get_reposted_by
List users who reposted a post with cursor pagination.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"limit":25,"max_pages":2,"uri":"at://did:plc:4zvfsavw2f4t6o3o3r6h4j6n/app.bsky.feed.post/3ltw5y5q3qv2g"},"capability":"bluesky.feed.get_reposted_by"}'
Input
|
Field
|
Type
|
Required
|
Description
|
cursor
|
string
|
optional
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
uri
|
string
|
required
|
|
bluesky.feed.get_trending_topics
List trending topics surfaced by public feed index data.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"limit":25},"capability":"bluesky.feed.get_trending_topics"}'
Input
|
Field
|
Type
|
Required
|
Description
|
limit
|
integer
|
optional
|
|
bluesky.feed.search_posts
Search Bluesky posts and return paginated records.
Request
curl -X POST https://data.upscrape.com/execute \
-H "Authorization: Bearer YOUR_API_KEY" \
-H "Content-Type: application/json" \
-d '{"input":{"limit":10,"max_pages":2,"query":"bluesky"},"capability":"bluesky.feed.search_posts"}'
Input
|
Field
|
Type
|
Required
|
Description
|
cursor
|
string
|
optional
|
|
limit
|
integer
|
optional
|
|
max_pages
|
integer
|
optional
|
|
query
|
string
|
required
|
|
Run Bluesky in under a minute
Sign in, create an API key, and try any capability in the playground before you write code.
Get an API key